<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * HTMLテンプレートの設定フォーム
 *
 * @package     Admin.Datamanage.Htmltemplate.Input
 * @access      public
 */
class Admin_Datamanage_Htmltemplate_Input
{
    var $c_systeminfo;
    
    var $record;
    var $tpl;
    var $tplnm;
    var $tplval;
    var $updcnt;
    
    var $title;
    var $pagename;
    

    function execute()
    {
        $data = $this->c_systeminfo->selectAll();
        
        if (!isset($this->updcnt)) {
            $this->updcnt = $data[0]["updcnt"];
        }
        switch($this->tpl) {
            case 'company_overview':
                $this->tplnm = '会社概要';
                $this->tplval = $data[0]["company_overview"];
                break;
            
            case 'privacy_policy':
                $this->tplnm = 'プライバシーポリシー';
                $this->tplval = $data[0]["privacy_policy"];
                break;
            
            case 'transaction_law':
                $this->tplnm = '特定商取引法';
                $this->tplval = $data[0]["transaction_law"];
                break;
            
            case 'permit_rule':
                $this->tplnm = '許可・届出利用規約';
                $this->tplval = $data[0]["permit_rule"];
                break;
            
            case 'method_payment':
                $this->tplnm = 'お支払方法';
                $this->tplval = $data[0]["method_payment"];
                break;
            
            case 'use_rule':
                $this->tplnm = '利用規約';
                $this->tplval = $data[0]["use_rule"];
                break;
        }
        return 'success';
    }
}
?>
